Skip to main content
POST
/
workspaces
/
{workspaceId}
/
folders
Create a new folder
curl --request POST \
  --url https://api.tally.so/workspaces/{workspaceId}/folders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "parentId": "<string>"
}
'
{
  "id": "<string>",
  "name": "<string>",
  "workspaceId": "<string>",
  "parentId": "<string>",
  "createdByUserId": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspaceId
string
required

The ID of the workspace to create the folder in

Body

application/json
name
string
required

The name of the folder

parentId
string

The ID of the parent folder to nest this folder under

Response

Folder created successfully

id
string
required
name
string
required
workspaceId
string
required
parentId
string | null
required
createdByUserId
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required